Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
Open CASCADEShowroomGet it!Developer CornerSupport and ProductsAbout us
Technical overview
Areas of use
Advantages
FAQ
Screenshots
Shape factory
Shape gallery
Demonstrations
What's new
System requirements
Download Center
Public license
Documentation
Getting started
Forums
Open Source community
Training and e-learning
A-la Carte Support
Value-added software
Complementary Components
Customer Corner
Company Profile
Marketing Materials
Contact Us
News
Home / Developer Corner / Forums / Usage issues / How to select the child label (child TopoDS_Shape )?

How to select the child label (child TopoDS_Shape )?

How to select the child label (child TopoDS_Shape )?
seumonkey 2012/11/20 12:50
I want to display the shape topo_intersection as below:
TopoDS_Shape topo_intersection=MakeIntersection(inst); // this create the shape.
     TNaming_Builder B(L_Intersection);
     B.Generated(topo_intersection);
     prs1= TPrsStd_AISPresentation::Set(L_Intersection,TNaming_NamedShape::GetID());
     prs1->Display(0);
     Fit3DViews();
     myAISContext->UpdateCurrentViewer();
Now, I can select the L_Intersection shape and change the color by this:
TopoDS_Shape S=myAISContext->SelectedShape();
But, I only can select the top shape L_Intersection , I cannot select the child of the Label L_Intersection, what can I do ? Giving every child a label and using this "TNaming_Builder B(L_child_x);" to display every child so that I can select every child?
 
 
Latest news
  • New features to enhance the development process
  • Open CASCADE Technology 6.7.1 is available for download!
  • Open CASCADE Technology 6.7.0 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map